<?php get_header(); ?>

			<div class="left-content">

				<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>
				
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

					<div class="post-edit"><?php edit_post_link(__('Edit this post','og-neunzehn'), ' '); ?></div>
				
					<div class="post-body">

						<div class="post-entry">

							<h3 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-neunzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a></h3>

						</div><!--.post-entry-->

						<div class="post-content">

							<?php the_content(); ?>

						</div><!--.post-content-->

						<?php if ($options['post_recommendation'] == 1) { ?>

							<div class="post-recommendation">

								<h6>

								<?php if ($options['post_recommendation_title']) { ?> 

									<?php echo $options['post_recommendation_title']; ?>

								<?php } else { ?>

									<?php _e('Related posts','og-neunzehn'); ?>

								<?php } ?>

								</h6>

							<?php if ($options['post_recommendation_type'] == 0) { ?>

								<ul class="recommendation-excerpt">

								<?php if ($options['post_recommendation_nr']) { ?>

									<?php {	$rec_number = $options['post_recommendation_nr']; } ?>

								<?php } else { ?>

									<?php {	$rec_number = 4; } ?>

								<?php } ?>

								<?php 

									global $post;
									$originalPost = clone $post;  

									$tags = wp_get_post_tags($post->ID); 
									if ($tags) {
									$first_tag = $tags[0]->term_id;
									$args=array(
										'tag__in' => array($first_tag),
										'post__not_in' => array($post->ID),
										'showposts'=>$rec_number,
										'caller_get_posts'=>1
									);

									$recommendation = new WP_Query($args);
									if( $recommendation->have_posts() ) {
									while ( $recommendation->have_posts() ) : $recommendation->the_post(); 

								?>

									<li>

									<?php if(has_post_thumbnail()) { ?>

										<div class="recommendation-thumbnail">

											<?php the_post_thumbnail(); ?>

										</div><!--.recommendation-thumbnail-->

									<?php } ?>

										<div class="recommendation-date">

											<?php the_time(get_option('date_format')); ?>

										</div><!--.recommendation-date-->

										<h5 class="recommendation-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-neunzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a></h5>

										<div class="recommendation-excerpt">

											<?php the_excerpt(); ?>

										</div><!--.recommendation-excerpt-->

									</li>

								<?php endwhile; 
								} else {
								echo __('No similar posts found','og-neunzehn'); 
								} 

								$GLOBALS['post'] = $originalPost;
								setup_postdata($originalPost); 
								}
								?>

								</ul>

							<?php } else { ?>

								<ul class="recommendation-list">

								<?php if ($options['post_recommendation_nr']) { ?>

									<?php {	$rec_number = $options['post_recommendation_nr']; } ?>

								<?php } else { ?>

									<?php {	$rec_number = 4; } ?>

								<?php } ?>

								<?php 

									global $post;
									$originalPost = clone $post;  

									$tags = wp_get_post_tags($post->ID); 
									if ($tags) {
									$first_tag = $tags[0]->term_id;
									$args=array(
										'tag__in' => array($first_tag),
										'post__not_in' => array($post->ID),
										'showposts'=>$rec_number,
										'caller_get_posts'=>1
									);

									$recommendation = new WP_Query($args);
									if( $recommendation->have_posts() ) {
									while ( $recommendation->have_posts() ) : $recommendation->the_post(); 

								?>

									<li><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link for the post','og-neunzehn'); ?> '<?php the_title(); ?>'"><?php the_title(); ?></a> (<?php the_time(get_option('date_format')); ?>)</li>

								<?php endwhile; 
								} else {
								echo __('No similar posts found','og-neunzehn'); 
								} 

								$GLOBALS['post'] = $originalPost;
								setup_postdata($originalPost); 
								}
								?>

								</ul>

							<?php } ?>

							</div><!--.post-recommendation-->

						<?php } ?> 

					</div><!--.post-body-->

					<?php comments_template('', true); ?>

				</div><!--.post-->

				<?php endwhile; ?>
				<?php endif; ?>

			</div><!--.left-content-->

			<div class="right-content">

				<div id="sidebar-posts">

					<ul>

					<?php if ( has_post_thumbnail() ) { ?>

						<li class="widget postthumbnail">

							<?php the_post_thumbnail('featured-thumbnail'); ?>

						</li>

					<?php } ?>

						<li class="widget postinfo">

							<ul>

								<li class="date"><p><?php _e('Posted on','og-neunzehn'); ?></p><?php the_time( get_option('date_format') ); ?></li>

								<li class="category"><p><?php _e('Posted in','og-neunzehn'); ?></p><?php the_category(' + '); ?></li>

								<li class="tag"><p><?php _e('Tagged as','og-neunzehn'); ?></p>

									<?php $tag = get_the_tags(); ?>

									<?php if (! $tag) { ?>

										<?php _e('no tags for this post','og-neunzehn'); ?>

									<?php } else { ?>

										<?php the_tags('',' + ',''); ?>

									<?php } ?>

								</li>

								<?php if ($options['post_info_author'] == 1 ) { ?>

								<li class="author"><p><?php _e('Author','og-neunzehn'); ?></p><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author" title="<?php _e('View all posts of the author','og-neunzehn'); ?> <?php the_author(); ?>"><?php the_author(); ?></a>
								<?php } ?>

								</li>

								<?php if ( comments_open() ) : ?>

								<li class="comment"><p><?php _e('Comments','og-neunzehn'); ?></p><?php comments_popup_link( __('no response','og-neunzehn'), __('1 response','og-neunzehn'), __('% responses','og-neunzehn'), '', __('closed','og-neunzehn') ); ?></li>

								<?php endif; ?>

								<?php if ( is_single() && $options['post_navigation'] == 1 ) { ?>

									<div class="post-navigation">

										<?php previous_post_link( '<div class="nav-left"><p>'.__('the previous post','og-neunzehn').'</p>%link</div>' ); ?>
										<?php next_post_link( '<div class="nav-right"><p>'.__('the next post','og-neunzehn').'</p>%link</div>' ); ?>

									</div><!--.post-navigation-->

								<?php } ?>

							</ul>

						</li>

						<?php if ($options['share_facebook'] == 1 or $options['share_twitter'] == 1 or $options['share_google'] == 1 or $options['share_pinterest'] == 1) { ?>

						<li class="widget postshare">

							<h6 class="widgettitle"><?php _e('Share this post','og-neunzehn'); ?></h6>

							<ul>

								<?php if ($options['share_facebook'] == 1) { ?>

								<li class="facebook"><div class="fb-like" data-layout="button_count" data-action="like" data-show-faces="true" data-share="true"></div></li>

								<?php } ?>

								<?php if ($options['share_twitter'] == 1) { ?>

								<li class="twitter"><a href="https://twitter.com/share" class="twitter-share-button" data-lang="de">Twittern</a></li>

								<?php } ?>

								<?php if ($options['share_google'] == 1) { ?>

									<li class="google"><div class="g-plusone" data-size="medium"></div></li>

								<?php } ?>

								<?php if ($options['share_pinterest'] == 1) { ?>

									<li class="pinterest"><a href="//pinterest.com/pin/create/button/" data-pin-config="beside" data-pin-do="buttonBookmark" ><img src="//assets.pinterest.com/images/pidgets/pin_it_button.png" /></a></li>

								<?php } ?>

							</ul>

						</li>

						<?php } ?>

						<?php if ($options['post_author'] == 1 ) { ?>

						<li class="widget postauthor">

							<h6 class="widgettitle"><?php _e('About the author','og-neunzehn'); ?> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author" title="<?php _e('View all posts of the author','og-neunzehn'); ?> <?php the_author(); ?>"><?php the_author(); ?></a></h6>

								<a class="author-avatar" href="<?php the_author_meta('user_url'); ?>"><?php echo get_avatar( get_the_author_meta('user_email'), '90', '' ); ?></a>
									
								<div class="author-description">

									<?php the_author_meta('description'); ?>

								</div><!--.author-description-->

						</li>

						<?php } ?>

						<?php dynamic_sidebar('sidebar-posts') ?>

					</ul>

				</div><!--#sidebar-posts-->

			</div><!--.right-content-->

<?php get_footer(); ?>